WPXMemoryInputStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPXMemoryInputStream Class Reference

`#include <WPXMemoryStream.h>`

Inheritance diagram for WPXMemoryInputStream:

## Public Member Functions
| WPXMemoryInputStream (unsigned char *data, unsigned long size)
| ~WPXMemoryInputStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned)
bool | existsSubStream (const char *)
librevenge::RVNGInputStream * | getSubStreamByName (const char *)
librevenge::RVNGInputStream * | getSubStreamById (unsigned)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()
unsigned long | getSize () const

## Private Member Functions
| WPXMemoryInputStream (const WPXMemoryInputStream &)
WPXMemoryInputStream & | operator= (const WPXMemoryInputStream &)

## Private Attributes
long | m_offset
unsigned long | m_size
unsigned char * | m_data

## Constructor & Destructor Documentation

WPXMemoryInputStream::WPXMemoryInputStream | ( | unsigned char * | data,
|  | unsigned long | size
| ) |  |

WPXMemoryInputStream::~WPXMemoryInputStream | ( |  | ) |

WPXMemoryInputStream::WPXMemoryInputStream | ( | const WPXMemoryInputStream & |  | ) |
| private

## Member Function Documentation

bool WPXMemoryInputStream::existsSubStream | ( | const char * |  | ) |
| inline

unsigned long WPXMemoryInputStream::getSize | ( |  | ) | const
| inline

librevenge::RVNGInputStream* WPXMemoryInputStream::getSubStreamById | ( | unsigned |  | ) |
| inline

librevenge::RVNGInputStream* WPXMemoryInputStream::getSubStreamByName | ( | const char * |  | ) |
| inline

bool WPXMemoryInputStream::isEnd | ( |  | ) |

Referenced by WP6ExtendedDocumentSummaryPacket::parse().

bool WPXMemoryInputStream::isStructured | ( |  | ) |
| inline

WPXMemoryInputStream& WPXMemoryInputStream::operator= | ( | const WPXMemoryInputStream & |  | ) |
| private

const unsigned char * WPXMemoryInputStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int WPXMemoryInputStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

Referenced by WP1SubDocument::parse(), WP6SubDocument::parse(), WP3SubDocument::parse(), WP5SubDocument::parse(), WP42SubDocument::parse(), and WP6ExtendedDocumentSummaryPacket::parse().

unsigned WPXMemoryInputStream::subStreamCount | ( |  | ) |
| inline

const char* WPXMemoryInputStream::subStreamName | ( | unsigned |  | ) |
| inline

long WPXMemoryInputStream::tell | ( |  | ) |

## Member Data Documentation

unsigned char* WPXMemoryInputStream::m_data
| private

Referenced by read().

long WPXMemoryInputStream::m_offset
| private

Referenced by isEnd(), read(), seek(), and tell().

unsigned long WPXMemoryInputStream::m_size
| private

Referenced by getSize(), isEnd(), read(), and seek().

The documentation for this class was generated from the following files:

- WPXMemoryStream.h
- WPXMemoryStream.cpp